Receive Slack events
Validates Slack request signatures. URL verification challenges are returned immediately; event callbacks are queued for downstream processing.
Validates Slack request signatures. URL verification challenges are returned immediately; event callbacks are queued for downstream processing.
Header Parameters
x-slack-signature*string
x-slack-request-timestamp*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.orbiqhq.com/api/v1/integrations/slack/events" \ -H "Content-Type: application/json" \ -H "x-slack-request-timestamp: 1739612400" \ -H "x-slack-signature: v0=..." \ -d '{ "type": "event_callback", "event_id": "Ev123", "team_id": "T123", "event": { "type": "file_shared", "channel": "C123", "user": "U123" }}'{ "challenge": "challenge-token"}How is this guide?